# add 'node_modules' to cache for speeding up builds
image: docker.km3net.de/base/texlive:2018


# the 'pages' job will deploy and build your site to the 'public' path
pages:
  script:
     - pip install sphinx-rtd-theme
     - python make_documents.py
     - mv statuspage.md pages/statuspage.md
     - sh create_rst.sh
     - mkdir _build
     - sphinx-build . _build
     - mkdir public
     - mv _build/* public
     - pandoc -s Deliverable_4-8.md -o Deliverable_4-8.docx
     - pandoc -s Deliverable_4-9.md -o Deliverable_4-9.docx
     - mkdir deliverables
     - mv Deliverables* deliverables
  artifacts:
    paths:
      - public
      - deliverables
    expire_in: 3 years
  only:
    - master # this job will affect only the 'master' branch
